# Draw
TKTopTest
TestTopOpe

# TestTopOpe_HDSDisplayer Class Reference

`#include <TestTopOpe_HDSDisplayer.hxx>`

## Public Member Functions

| TestTopOpe_HDSDisplayer ()
| TestTopOpe_HDSDisplayer (const Handle(TopOpeBRepDS_HDataStructure)&HDS)
void | Init ()
void | SetCurrentHDS (const Handle(TopOpeBRepDS_HDataStructure)&HDS)
const | Handle (TopOpeBRepDS_HDataStructure)&CurrentHDS() const
const TopOpeBRepDS_DataStructure & | CurrentBDS () const
void | SetShape1 (const TopoDS_Shape &S1)
void | SetShape2 (const TopoDS_Shape &S2)
Standard_Boolean | SubShape (const TopoDS_Shape &S, const Standard_Integer I)
void | ShapeName (const Standard_Integer, const TopoDS_Shape &, TCollection_AsciiString &) const
void | ShapeDisplayName (const Standard_Integer, const TopoDS_Shape &, TCollection_AsciiString &)
TCollection_AsciiString | AncestorMark (const TopoDS_Shape &, const TCollection_AsciiString &)
void | ShapeDisplayName (const TCollection_AsciiString &, const TopoDS_Shape &, TCollection_AsciiString &)
void | SectionEdgeName (const Standard_Integer, const TopoDS_Shape &, TCollection_AsciiString &) const
void | SectionEdgeDisplayName (const Standard_Integer, const TopoDS_Shape &, TCollection_AsciiString &)
void | GeometryDisplayName (const Standard_Integer, const TopOpeBRepDS_Kind, TCollection_AsciiString &)
Standard_Boolean | ShapeKind (const Standard_Integer IS, const TopAbs_ShapeEnum TS) const

## Private Member Functions

| Handle (TopOpeBRepDS_HDataStructure) myHDS

## Private Attributes

TopoDS_Shape | myS1
TopoDS_Shape | myS2
TopTools_IndexedMapOfShape * | myPMap1
TopTools_IndexedMapOfShape * | myPMap2

## Constructor & Destructor Documentation

TestTopOpe_HDSDisplayer::TestTopOpe_HDSDisplayer | ( |  | ) |

TestTopOpe_HDSDisplayer::TestTopOpe_HDSDisplayer | ( | const Handle(TopOpeBRepDS_HDataStructure)& | HDS | ) |

## Member Function Documentation

TCollection_AsciiString TestTopOpe_HDSDisplayer::AncestorMark | ( | const TopoDS_Shape & | ,
|  | const TCollection_AsciiString & |
| ) |

const TopOpeBRepDS_DataStructure& TestTopOpe_HDSDisplayer::CurrentBDS | ( |  | ) | const

void TestTopOpe_HDSDisplayer::GeometryDisplayName | ( | const | Standard_Integer,
|  | const | TopOpeBRepDS_Kind,
|  | TCollection_AsciiString & |
| ) |

TestTopOpe_HDSDisplayer::Handle | ( | TopOpeBRepDS_HDataStructure |  | ) | `[private]`

const TestTopOpe_HDSDisplayer::Handle | ( | TopOpeBRepDS_HDataStructure |  | ) | const

void TestTopOpe_HDSDisplayer::Init | ( |  | ) |

void TestTopOpe_HDSDisplayer::SectionEdgeDisplayName | ( | const | Standard_Integer,
|  | const TopoDS_Shape & | ,
|  | TCollection_AsciiString & |
| ) |

void TestTopOpe_HDSDisplayer::SectionEdgeName | ( | const | Standard_Integer,
|  | const TopoDS_Shape & | ,
|  | TCollection_AsciiString & |
| ) | const

void TestTopOpe_HDSDisplayer::SetCurrentHDS | ( | const Handle(TopOpeBRepDS_HDataStructure)& | HDS | ) |

void TestTopOpe_HDSDisplayer::SetShape1 | ( | const TopoDS_Shape & | S1 | ) |

void TestTopOpe_HDSDisplayer::SetShape2 | ( | const TopoDS_Shape & | S2 | ) |

void TestTopOpe_HDSDisplayer::ShapeDisplayName | ( | const TCollection_AsciiString & | ,
|  | const TopoDS_Shape & | ,
|  | TCollection_AsciiString & |
| ) |

void TestTopOpe_HDSDisplayer::ShapeDisplayName | ( | const | Standard_Integer,
|  | const TopoDS_Shape & | ,
|  | TCollection_AsciiString & |
| ) |

Standard_Boolean TestTopOpe_HDSDisplayer::ShapeKind | ( | const Standard_Integer | IS,
|  | const TopAbs_ShapeEnum | TS
| ) | const

void TestTopOpe_HDSDisplayer::ShapeName | ( | const | Standard_Integer,
|  | const TopoDS_Shape & | ,
|  | TCollection_AsciiString & |
| ) | const

Standard_Boolean TestTopOpe_HDSDisplayer::SubShape | ( | const TopoDS_Shape & | S,
|  | const Standard_Integer | I
| ) |

## Field Documentation

TopTools_IndexedMapOfShape* TestTopOpe_HDSDisplayer::myPMap1 `[private]`

TopTools_IndexedMapOfShape * TestTopOpe_HDSDisplayer::myPMap2 `[private]`

TopoDS_Shape TestTopOpe_HDSDisplayer::myS1 `[private]`

TopoDS_Shape TestTopOpe_HDSDisplayer::myS2 `[private]`

The documentation for this class was generated from the following file:

- TestTopOpe_HDSDisplayer.hxx